Package org.apache.synapse.commons.emulator.http.dsl

## Class HttpProducerContext

- java.lang.Object
- - org.apache.synapse.commons.emulator.core.AbstractEmulatorContext
  - - org.apache.synapse.commons.emulator.http.dsl.HttpProducerContext

-     public class HttpProducerContext
      extends AbstractEmulatorContext

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpProducerContext​(HTTPProtocolEmulator httpProtocolEmulator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IncomingMessage` | `getIncoming()` |
    `Map<IncomingMessage,​OutgoingMessage>` | `getInOutCorrelation()` |
    `HttpProducerContext` | `host​(String host)` |
    `AbstractProtocolEmulator` | `operations()` |
    `HttpProducerContext` | `port​(int port)` |
    `HttpProducerContext` | `respond​(OutgoingMessage outgoing)` |
    `HttpProducerContext` | `when​(IncomingMessage incoming)` |

    - ### Methods inherited from class org.apache.synapse.commons.emulator.core.AbstractEmulatorContext

      `getHost, getPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpProducerContext

          public HttpProducerContext​(HTTPProtocolEmulator httpProtocolEmulator)

  - ### Method Detail

    - #### host

          public HttpProducerContext host​(String host)

      Overrides:
        `host` in class `AbstractEmulatorContext`

    - #### port

          public HttpProducerContext port​(int port)

      Overrides:
        `port` in class `AbstractEmulatorContext`

    - #### when

          public HttpProducerContext when​(IncomingMessage incoming)

    - #### respond

          public HttpProducerContext respond​(OutgoingMessage outgoing)

    - #### operations

          public AbstractProtocolEmulator operations()

    - #### getIncoming

          public IncomingMessage getIncoming()

    - #### getInOutCorrelation

          public Map<IncomingMessage,​OutgoingMessage> getInOutCorrelation()